Get a metadata list
- Base URL
-
https://{kibana_url}
-
GET
/api/endpoint/metadata
Auth
Get a list of all endpoint host metadata.
-
page
integer · min: 1 · default: 1
-
The page number to return.
-
pageSize
integer · min: 1 · max: 100 · default: 10
-
The number of endpoints to return per page.
-
kuery
string · max length: 30000
-
A KQL string to filter the endpoint metadata results.
-
Example:
united.endpoint.host.os.name : 'Windows'
-
hostStatuses
enum[] · max items: 20
required
-
A set of host statuses to filter the results by (for example, healthy, updating).
-
Values:
healthy
offline
updating
inactive
unenrolled
-
sortField
enum
-
The field used to sort the results.
-
Values:
enrolled_at
metadata.host.hostname
host_status
metadata.Endpoint.policy.applied.name
metadata.Endpoint.policy.applied.status
metadata.host.os.name
metadata.host.ip
metadata.agent.version
last_checkin
-
sortDirection
enum
-
The sort order, either asc or desc.
-
Values:
asc
desc
Indicates a successful call.
application/json
Thank you for your feedback.